<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: AnnotationMetricsFilters.js</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: AnnotationMetricsFilters.js</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>import React, { Component } from "react";
import { Form } from "react-bootstrap";
import Table from "react-bootstrap/Table";

/**
 * Annotation filters
 *
 * @component
 */
class AnnotationMetricsFilters extends Component {
  /**
   * Passes the changed filter to a parent
   *
   * @param {Object} evt - onChange event of input field
   *
   * @method
   */
  handleFilterChange = (evt) => {
    this.props.updateFilters({ [evt.target.name]: evt.target.value });
  };

  /**
   * Renders annotation filters table
   *
   * @method
   */
  render() {
    const { savedFilters, stats } = this.props;
    const filterNames = [
      "axAnnotationAssertion",
      "labels",
      "comments",
      "seeAlso",
      "isDefinedBy",
      "multilinguality",
    ];
    return (
      &lt;div className="filterTable-wrapper">
        &lt;Table className="filterTable" bordered>
          &lt;thead>
            &lt;tr>
              &lt;th>Metrics&lt;/th>
              &lt;th>Ontology Ratio&lt;/th>
              &lt;th>N/A&lt;/th>
              &lt;th>Median&lt;/th>
              &lt;th>Average&lt;/th>
              &lt;th>St. dev.&lt;/th>
              &lt;th>Max&lt;/th>
              &lt;th>Min Value&lt;/th>
              &lt;th>Max Value&lt;/th>
            &lt;/tr>
          &lt;/thead>
          &lt;tbody>
            {filterNames.map((filterName) => {
              return (
                &lt;tr key={filterName}>
                  &lt;td>{filterName}:&lt;/td>
                  {stats?.stats?.length ? (
                    stats.stats
                      .filter((item) => item.metrics === filterName)
                      .map((stat) => {
                        return (
                          &lt;React.Fragment key={stat.metrics}>
                            &lt;td>
                              {(
                                Math.round(
                                  ((stat.nonzero * 100) /
                                    stats.numOfOntologies[0].numOfOntologies +
                                    Number.EPSILON) *
                                    10
                                ) / 10
                              ).toFixed(1) + "%" ?? ""}
                            &lt;/td>
                            &lt;td>
                              {(
                                Math.round(
                                  ((stat.unknown * 100) /
                                    stats.numOfOntologies[0].numOfOntologies +
                                    Number.EPSILON) *
                                    10
                                ) / 10
                              ).toFixed(1) + "%" ?? ""}
                            &lt;/td>
                            &lt;td>
                              {(
                                Math.round(
                                  (stat.median + Number.EPSILON) * 10
                                ) / 10
                              ).toFixed(1) ?? ""}
                            &lt;/td>
                            &lt;td>{stat.average ?? ""}&lt;/td>
                            &lt;td>{stat.stdev ?? ""}&lt;/td>
                            &lt;td>{stat.max ?? ""}&lt;/td>
                          &lt;/React.Fragment>
                        );
                      })
                  ) : (
                    &lt;>
                      &lt;td>N/A&lt;/td>
                      &lt;td>N/A&lt;/td>
                      &lt;td>N/A&lt;/td>
                      &lt;td>N/A&lt;/td>
                      &lt;td>N/A&lt;/td>
                      &lt;td>N/A&lt;/td>
                    &lt;/>
                  )}
                  &lt;td>
                    &lt;Form.Control
                      as="input"
                      name={filterName + "_min"}
                      onChange={this.handleFilterChange}
                      value={savedFilters[filterName + "_min"] || ""}
                    />
                  &lt;/td>
                  &lt;td>
                    &lt;Form.Control
                      as="input"
                      name={filterName + "_max"}
                      onChange={this.handleFilterChange}
                      value={savedFilters[filterName + "_max"] || ""}
                    />
                  &lt;/td>
                &lt;/tr>
              );
            })}
          &lt;/tbody>
        &lt;/Table>
      &lt;/div>
    );
  }
}

export default AnnotationMetricsFilters;
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="-_1.html">_1</a></li><li><a href="-_2.html">_2</a></li><li><a href="AnnotationMetricsFilters.html">AnnotationMetricsFilters</a></li><li><a href="AnnotationsDistribution.html">AnnotationsDistribution</a></li><li><a href="AxiomFrequencyDistribution.html">AxiomFrequencyDistribution</a></li><li><a href="AxiomMetricsFilters.html">AxiomMetricsFilters</a></li><li><a href="AxiomTypesDistribution.html">AxiomTypesDistribution</a></li><li><a href="ChartPopup.html">ChartPopup</a></li><li><a href="ClassesFrequencyDistribution.html">ClassesFrequencyDistribution</a></li><li><a href="ClassExpressionTypeMetricsFilters.html">ClassExpressionTypeMetricsFilters</a></li><li><a href="DetailMetricsFilters.html">DetailMetricsFilters</a></li><li><a href="DLConstructsDistribution.html">DLConstructsDistribution</a></li><li><a href="DomainRangeDefinitionDistribution.html">DomainRangeDefinitionDistribution</a></li><li><a href="EntitiyMetricsFilters.html">EntitiyMetricsFilters</a></li><li><a href="Home.html">Home</a></li><li><a href="InstancesFrequencyDistribution.html">InstancesFrequencyDistribution</a></li><li><a href="Navigation.html">Navigation</a></li><li><a href="OntologiesTableClass.html">OntologiesTableClass</a></li><li><a href="OWL2ProfilesAndReasoning.html">OWL2ProfilesAndReasoning</a></li><li><a href="OWL2ProfilesDistribution.html">OWL2ProfilesDistribution</a></li><li><a href="ResourceFilter.html">ResourceFilter</a></li><li><a href="Tab.html">Tab</a></li><li><a href="Tabs.html">Tabs</a></li><li><a href="TaxonomyMetricsFilters.html">TaxonomyMetricsFilters</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.6</a> on Sun Apr 11 2021 17:29:26 GMT+0200 (stredoeurópsky letný čas)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
